<CsoundSynthesizer>

<CsOptions>
-W -o For_FTS_Triangles_Hamonic_Series.wav 
</CsOptions>

<CsScore>
; in auto mode the function table numbers here get automatically incremented 
; so that each intrument in the orchestra has its own unique function tables

f 1 0 131073 27 0 0   32768 1 98304 -1  131072 0 ; triangle

; coords (0,0),  (64,1), (192, -1), (256,0)

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	2 	3277 	 	46.249303 	 	10 	 	50 	
i1 	0.5 	2 	3277 	 	92.498606 	 	10 	 	50 	
i1 	1 	2 	3277 	 	138.747909 	 	10 	 	50 	
i1 	1.5 	2 	3277 	 	184.997211 	 	10 	 	50 	
i1 	2 	2 	3277 	 	231.246514 	 	10 	 	50 	
i1 	2.5 	2 	3277 	 	277.495817 	 	10 	 	50 	
i1 	3 	2 	3277 	 	323.74512 	 	10 	 	50 	
i1 	3.5 	2 	3277 	 	369.994423 	 	10 	 	50 	
i1 	4 	2 	3277 	 	416.243726 	 	10 	 	50 	
i1 	4.5 	2 	3277 	 	462.493028 	 	10 	 	50 	
i1 	5 	2 	3277 	 	508.742331 	 	10 	 	50 	
i1 	5.5 	2 	3277 	 	554.991634 	 	10 	 	50 	
i1 	6 	2 	3277 	 	601.240937 	 	10 	 	50 	
i1 	6.5 	2 	3277 	 	647.49024 	 	10 	 	50 	
i1 	7 	2 	3277 	 	693.739543 	 	10 	 	50 	
i1 	7.5 	2 	3277 	 	739.988845 	 	10 	 	50 	
i1 	8 	2 	3277 	 	786.238148 	 	10 	 	50 	
i1 	8.5 	2 	3277 	 	832.487451 	 	10 	 	50 	
i1 	9 	2 	3277 	 	878.736754 	 	10 	 	50 	
i1 	9.5 	2 	3277 	 	924.986057 	 	10 	 	50 	
i1 	10 	2 	3277 	 	971.23536 	 	10 	 	50 	
i1 	10.5 	1.5 	3277 	 	1017.484662 	 	10 	 	50 	
i1 	11 	1 	3277 	 	1063.733965 	 	10 	 	50 	
i1 	11.5 	0.5 	3277 	 	1109.983268 	 	10 	 	50 	
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
AMP CPS 10.0 50.0 ; rise as percentage of total duration, decay percentage,
</CsInstrumentToPlay>

<CsPitchBendGlides>
* 
</CsPitchBendGlides>


<CsInstruments>

instr 1

; This plays a function table with rise and decay


iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5

irisepercent  = p6
idecaypercent = p7
ifn = 1

irise = iduration*irisepercent/100 
idecay = iduration*idecaypercent/100

; kenv linen iamplitude, 0, 1, 0
kenv linen iamplitude, irise, iduration, idecay
a1  oscil kenv*0.2, kfrequency, ifn ; first harmonic
a2  oscil kenv, kfrequency*2,ifn ; 2nd harmonic etc.
a3  oscil kenv*0.5, kfrequency*3, ifn ; 
a4  oscil kenv*0.25, kfrequency*4, ifn ; 
a5  oscil kenv*0.125, kfrequency*5, ifn ; 
a6  oscil kenv*0.07, kfrequency*6, ifn ; 
a7  oscil kenv*0.03, kfrequency*7, ifn ; 
a8  oscil kenv*0.01, kfrequency*8, ifn ; 
a9  oscil kenv*0.005, kfrequency*9, ifn ; 
   out (a1 + a2 + a3 + a4 + a5 + a6 + a7 + a8 + a9)/2
endin
</CsInstruments>

</CsoundSynthesizer>
