;Reedy & Plucked Instrument 01_01_2A from the Amsterdam Catalog of C-Sound instruments.
;
;Example parameters suitable for this instrument (p4 to p6): 
;
;AMP CPS 31 ; Last param selects function table and modifies timbre
;
;For a beginner's guide to C-Sound instruments see http://www.gamedev.net/reference/articles/article907.asp
;
;You can include any .orc file from one of the C-Sound catalogs here and then use the corresponding example .sco
;file from the catalogs for your .sco header for FTS to use
;
;
; ************************************************************************
; ACCCI:     01_01_2A.ORC
; timbre:    from reed towards plucked chord, effect of changing envelopes
; synthesis: simple(01), basic instrument(01)
; source:    #250 Reedy and Plucked Tones, Choral Effect, Risset(1969)
; coded:     jpg 8/93

sr = 44100
kr  =  441
ksmps= 100
nchnls = 1

instr 1; *****************************************************************
idur  =  p3
iamp  =  p4
ifq1  =  p5
if2   =  p6 ; controlling timbre with different envelopes

         a2     oscili   iamp, 1/idur, if2
         a1     oscili   a2,   ifq1,   11   ; 11 = complex weighted
                out      a1

endin

;Adding extra instruments:
;You can include instruments from several .orc files in the same .orc file
; - however both your .orc and .sco files may
;need some editing, so it needs some care. Here is one way to do it:
;
;First, paste your second instrument to the end of the .orc file for the first one
;- you need the section from instr 1 to endin
;- and renumber the ;instrument to e.g. instr 2 or whatever number you want
;it to be..
;
; Now see if any of the instruments in the .orc file use the same function
; table numbers to refer to different functions. If so, you need to renumber them.
;
;One way to do this cleanly is to add 200 to all the function table numbers for the second
; instrument in the file, 300 for the third; and so on,
;So you might renumber f31 to f231 by way of example.
;
;Then, if a  functon table number is passed as a parameter,  you also need to change the
;C-Sound Instruments parameters in FTS to use for the saved notes to e.g.
;AMP CPS 231
;instead of AMP CPS 31
;
; Other .ORC instruments however  may use the function table numbers directly rather than
; get them from the parameters. You may see things like this for instance:
; ifenv  = 51
;where the variable ifenv is used in the instrument definition as a function table number 
;
; The function table f51, is as usual, a function set up in the .sco file.
; As before, if this number is used by another instrument then you need
;to renumber it in the .sco file to e.g. f251
;Then this time you need to edit the .ORC file to read
; ifenv  = 251 
;to match your new function table number for the .SCO file

